---
search:
  tags:
    - OrgStructure
    - GET
seo:
  description: >-
    Security: Any user holding a Bpanda… Reference for the GET
    /v1/warehouses/{warehouseId}/orgstructure/roles endpoint in the Bpanda REST
    API (experimental).
sidebar:
  label: List all roles.
  badge: GET
title: List all roles.
type: openapi-operation
---
List all roles.
      Get all organizational roles (sorted by title)
      Title will be returned by the first available of the accepted languages in the header (it, de, ...).

**Security:** Any user holding a Bpanda licence for the process space.

`GET /v1/warehouses/{warehouseId}/orgstructure/roles`

**Responses**

- `200` — The available organizational roles.

Response example, 200:

```json
[
  {
    "baseRoleId": "string",
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "external": true,
    "id": "string",
    "roleTypeId": "string",
    "subType": "string",
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "unitId": "string",
    "userIds": [
      "string"
    ]
  }
]
```
